dnl Process this file with autoconf to produce a configure script.

AC_INIT(krypto.c)
AM_INIT_AUTOMAKE(libkrypto, 1.0)

test "$CFLAGS" = "" && CFLAGS="-O2"

dnl Checks for programs.

AC_PROG_CC
AC_PROG_INSTALL
AC_PROG_LN_S
AC_PROG_RANLIB
AC_ARG_PROGRAM

dnl Checks for libraris.

dnl Checks for header files.

AC_HEADER_STDC
AC_CHECK_HEADERS(unistd.h sys/time.h sys/types.h)

dnl Checks for typedefs, structures and compiler characteristics.

AC_C_CONST
AC_HEADER_TIME
AC_CHECK_SIZEOF(short)
AC_CHECK_SIZEOF(int)
AC_CHECK_SIZEOF(long)
AC_C_BIGENDIAN

dnl Checks for library functions.

dnl AC_FUNC_MEMCMP
AC_HAVE_FUNCS(srand48 srand srandom getpid)

dnl Some defines for now

AC_ARG_ENABLE(noencryption, [  --enable-noencryption    disable encryption], AC_DEFINE(NOENCRYPTION))

AC_DEFINE(CIPHER_BLOWFISH)
AC_DEFINE(CIPHER_DES)
AC_DEFINE(CIPHER_CAST5)
AC_DEFINE(HASH_MD5)
AC_DEFINE(HASH_SHA)
# AC_DEFINE(CIPHER_IDEA)
# AC_DEFINE(CIPHER_ARCFOUR)

AC_OUTPUT(Makefile)
